"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var theme_1 = require("@atlaskit/theme");
var memoize_one_1 = tslib_1.__importDefault(require("memoize-one"));
exports.defaultColors = memoize_one_1.default(function (theme) {
    var akTheme = { theme: theme };
    return {
        lineNumberColor: theme_1.themed({ light: theme_1.colors.N90, dark: theme_1.colors.DN90 })(akTheme),
        lineNumberBgColor: theme_1.themed({ light: theme_1.colors.N30, dark: theme_1.colors.DN20 })(akTheme),
        backgroundColor: theme_1.themed({ light: theme_1.colors.N20, dark: theme_1.colors.DN50 })(akTheme),
        textColor: theme_1.themed({ light: theme_1.colors.N800, dark: theme_1.colors.DN800 })(akTheme),
        substringColor: theme_1.themed({ light: theme_1.colors.N400, dark: theme_1.colors.DN400 })(akTheme),
        keywordColor: theme_1.themed({ light: theme_1.colors.B400, dark: theme_1.colors.B100 })(akTheme),
        attributeColor: theme_1.themed({ light: theme_1.colors.T300, dark: theme_1.colors.T200 })(akTheme),
        selectorTagColor: theme_1.themed({ light: theme_1.colors.B400, dark: theme_1.colors.B100 })(akTheme),
        docTagColor: theme_1.themed({ light: theme_1.colors.Y300, dark: theme_1.colors.Y300 })(akTheme),
        nameColor: theme_1.themed({ light: theme_1.colors.B400, dark: theme_1.colors.B100 })(akTheme),
        builtInColor: theme_1.themed({ light: theme_1.colors.B400, dark: theme_1.colors.B100 })(akTheme),
        literalColor: theme_1.themed({ light: theme_1.colors.B400, dark: theme_1.colors.B100 })(akTheme),
        bulletColor: theme_1.themed({ light: theme_1.colors.B400, dark: theme_1.colors.B100 })(akTheme),
        codeColor: theme_1.themed({ light: theme_1.colors.B400, dark: theme_1.colors.B100 })(akTheme),
        additionColor: theme_1.themed({ light: theme_1.colors.B400, dark: theme_1.colors.B100 })(akTheme),
        regexpColor: theme_1.themed({ light: theme_1.colors.T300, dark: theme_1.colors.T200 })(akTheme),
        symbolColor: theme_1.themed({ light: theme_1.colors.T300, dark: theme_1.colors.T200 })(akTheme),
        variableColor: theme_1.themed({ light: theme_1.colors.T300, dark: theme_1.colors.T200 })(akTheme),
        templateVariableColor: theme_1.themed({ light: theme_1.colors.T300, dark: theme_1.colors.T200 })(akTheme),
        linkColor: theme_1.themed({ light: theme_1.colors.P300, dark: theme_1.colors.P100 })(akTheme),
        selectorAttributeColor: theme_1.themed({ light: theme_1.colors.T300, dark: theme_1.colors.T200 })(akTheme),
        selectorPseudoColor: theme_1.themed({ light: theme_1.colors.T300, dark: theme_1.colors.T200 })(akTheme),
        typeColor: theme_1.themed({ light: theme_1.colors.T500, dark: theme_1.colors.T300 })(akTheme),
        stringColor: theme_1.themed({ light: theme_1.colors.G300, dark: theme_1.colors.G300 })(akTheme),
        selectorIdColor: theme_1.themed({ light: theme_1.colors.T500, dark: theme_1.colors.T300 })(akTheme),
        selectorClassColor: theme_1.themed({ light: theme_1.colors.T500, dark: theme_1.colors.T300 })(akTheme),
        quoteColor: theme_1.themed({ light: theme_1.colors.T500, dark: theme_1.colors.T300 })(akTheme),
        templateTagColor: theme_1.themed({ light: theme_1.colors.T500, dark: theme_1.colors.T300 })(akTheme),
        deletionColor: theme_1.themed({ light: theme_1.colors.T500, dark: theme_1.colors.T300 })(akTheme),
        titleColor: theme_1.themed({ light: theme_1.colors.P300, dark: theme_1.colors.P100 })(akTheme),
        sectionColor: theme_1.themed({ light: theme_1.colors.P300, dark: theme_1.colors.P100 })(akTheme),
        commentColor: theme_1.themed({ light: theme_1.colors.N400, dark: theme_1.colors.DN400 })(akTheme),
        metaKeywordColor: theme_1.themed({ light: theme_1.colors.G300, dark: theme_1.colors.G300 })(akTheme),
        metaColor: theme_1.themed({ light: theme_1.colors.N400, dark: theme_1.colors.DN400 })(akTheme),
        functionColor: theme_1.themed({ light: theme_1.colors.N800, dark: theme_1.colors.DN800 })(akTheme),
        numberColor: theme_1.themed({ light: theme_1.colors.B400, dark: theme_1.colors.B100 })(akTheme),
    };
});
//# sourceMappingURL=defaultTheme.js.map